; configuration for data.headers plugin

; Requiring a date header will cause the loss of valid mail. The JavaMail
; sender used by some banks, photo processing services, health insurance
; companies, bounce senders, and others send messages without a Date header.
;
; If you can afford to reject some valid mail, please do enforce this, and
; encourage mailers toward RFC adherence. Otherwise, do not require Date.

; Headers that MUST be present (RFC 5322)
; required=From,Date   ; <-- RFC 5322 compliant
required=From,Date

; Received
; If you have no outbound, add 'Received' to the required list for an
; aggressive anti-spam measure. It works because all real mail relays will
; add a `Received` header. It may false positive on some bulk mail that
; uses a custom tool to send, but this appears to be fairly rare.

; If the date header is present, and future and/or past days are
; defined, it will be validated. 0 = disabled
date_future_days=2
date_past_days=15


; Headers that MUST be unique if present (RFC 5322)
; singular=Date,From,Sender,Reply-To,To,Cc,Bcc,Message-Id,In-Reply-To,References,Subject (RFC 5322)
singular=Date,From,Sender,Reply-To,To,Cc,Bcc,Message-Id,In-Reply-To,References,Subject

; enable/disable the various header checks
[check]
; duplicate_singular=true
; missing_required=true
; invalid_return_path=true
; invalid_date=true
; user_agent=true
; direct_to_mx=true
; from_match=true
; mailing_list=true
; delivered_to=true


[reject]
; reject switches for each header check
; default are shown. Rejecting based on any of these
; criteria will result in the loss of valid mail.
;
; duplicate_singular=false
; missing_required=false
; invalid_return_path=false
; invalid_date=false

; arriving messages should not have Delivered-To set to the RCPT TO address.
; delivered_to=true

; these 4 do not have reject support, and likely shouldn't.
; user_agent=false
; direct_to_mx=false
; from_match=false
; from_match=true
; mailing_list=false

